#include<iostream>
#include<stdio.h>
using namespace std;

int main(){
	
	long int duz;
	double sto = 100.00;
	cin>>duz;
	
	double cene[duz];
	double porez[duz];
	double ukupna_cena=0.00;
	for(int i=0;i<duz;i++){
		
		cin>>cene[i];
		
		
		ukupna_cena=ukupna_cena+cene[i];
		
		
		cin>>porez[i];
		porez[i]/=sto;
		
	}
	
	double resenje=0.00;
	
	
	for(int i=0;i<duz;i++){
		
		double trenutna=ukupna_cena;
		for(int j=0;j<duz;j++){
			
			if(porez[j]<porez[i]){
				trenutna-=cene[j];
				
			}
			
			
		}
		if(trenutna*porez[i]>resenje){
			resenje=trenutna*porez[i];
		}
	}
	
	
	printf("%.4f",resenje);
	
	
	
	
	
	return 0;
	
	
}